Posting Template

phpBB 3.3.0-b1 - Posting Template

phpBB 3.3.0-b1

by copyas » Sat Oct 26, 2019 3:46 pm

Board version: 3.3.0-b1
PHP version: 7.2.23

I tested phpBB 3.3.0-b1 and got an error with posting template. Error message disappered when I disable the extension.
I know that the extension works with phpBB 3.2.x
Is there any plan to update for phpBB 3.3.x ?

phpBB encountered an error building the container due to an installed extension. For this reason, all extensions have been temporarily disabled. Please try purging your forum cache. All extensions will automatically be re-enabled once the container error is resolved. If this error continues, please visit phpBB.com for support.


Exception: The file "/home/000/public_html/forum330/ext/marttiphpbb/postingtemplate/config/services.yml" does not contain valid YAML: The reserved indicator "@" cannot start a plain scalar; you need to quote the scalar at line 5 (near "- @config_text").

#0 /home/000/public_html/forum330/vendor/symfony/dependency-injection/Loader/YamlFileLoader.php(117): Symfony\Component\DependencyInjection\Loader\YamlFileLoader->loadFile('/home/000/...')
#1 /home/000/public_html/forum330/phpbb/extension/di/extension_base.php(99): Symfony\Component\DependencyInjection\Loader\YamlFileLoader->load('services.yml')
#2 /home/000/public_html/forum330/phpbb/extension/di/extension_base.php(63): phpbb\extension\di\extension_base->load_services(Object(Symfony\Component\DependencyInjection\Compiler\MergeExtensionConfigurationContainerBuilder))
#3 /home/000/public_html/forum330/vendor/symfony/dependency-injection/Compiler/MergeExtensionConfigurationPass.php(71): phpbb\extension\di\extension_base->load(Array, Object(Symfony\Component\DependencyInjection\Compiler\MergeExtensionConfigurationContainerBuilder))
#4 /home/000/public_html/forum330/vendor/symfony/http-kernel/DependencyInjection/MergeExtensionConfigurationPass.php(39): Symfony\Component\DependencyInjection\Compiler\MergeExtensionConfigurationPass->process(Object(Symfony\Component\DependencyInjection\ContainerBuilder))
#5 /home/000/public_html/forum330/vendor/symfony/dependency-injection/Compiler/Compiler.php(140): Symfony\Component\HttpKernel\DependencyInjection\MergeExtensionConfigurationPass->process(Object(Symfony\Component\DependencyInjection\ContainerBuilder))
#6 /home/000/public_html/forum330/vendor/symfony/dependency-injection/ContainerBuilder.php(790): Symfony\Component\DependencyInjection\Compiler\Compiler->compile(Object(Symfony\Component\DependencyInjection\ContainerBuilder))
#7 /home/000/public_html/forum330/phpbb/di/container_builder.php(203): Symfony\Component\DependencyInjection\ContainerBuilder->compile()
#8 /home/000/public_html/forum330/common.php(115): phpbb\di\container_builder->get_container()
#9 /home/000/public_html/forum330/adm/index.php(23): require('/home/000/...')
#10 {main}
copyas
Registered User
Posts: 7
Joined: Sat May 11, 2019 3:41 pm
Contact:

Re: phpBB 3.3.0-b1

by Raul [ThE KuKa] » Sat Oct 26, 2019 3:57 pm

Hello,

Please request support for current versions of phpBB (for now 3.2.x), phpBB 3.3 is currently in Beta.
Extension authors will do their work (if they wish) when the stable version is released.

Best regards.
All unsolicited PMs will be ignored.
:warning: Knowledge Base | Documentation | Board rules | phpBB Styles Rules & Policies | Styles Queue Stats :warning:


If you like my styles, translations, etc. and want to show some appreciation, then feel free to Donate.
:flag_es: phpBB Spain - Online Since 2003 :heart:


User avatar
Raul [ThE KuKa]
Style Customisations
Style Customisations
Posts: 10537
Joined: Mon Dec 08, 2003 9:24 pm
Location: Spain
Name: Raul Arroyo
Contact:

Re: phpBB 3.3.0-b1

by martti » Sat Oct 26, 2019 3:58 pm

Development is continuing under a new name: Topic Template Extension (should work)

Or, alternatively, you could fix the config/services.yml file by quoting the values starting with @, like the error states.
User avatar
martti
Registered User
Posts: 905
Joined: Thu Jul 31, 2014 8:23 am
Location: Belgium
Contact:

Re: phpBB 3.3.0-b1

by copyas » Sat Oct 26, 2019 6:03 pm

Raul [ThE KuKa] wrote: Please request support for current versions of phpBB (for now 3.2.x), phpBB 3.3 is currently in Beta.
Extension authors will do their work (if they wish) when the stable version is released.
I know that phpBB 3.3.0-b1 is in beta. I have just wondered any update plan for 3.3.x and I wanted to give info about error message. Because this extension is important for me.
martti wrote:Or, alternatively, you could fix the config/services.yml file by quoting the values starting with @, like the error states.
When I fixed the services.yml file it looks working with 3.3.0-b1.
martti wrote:Development is continuing under a new name: Topic Template Extension (should work)
Waiting for stable version of Topic Template. Thanks for your effort.

Best regards.
copyas
Registered User
Posts: 7
Joined: Sat May 11, 2019 3:41 pm
Contact: